// pages/person/person.js
const app = getApp();
const getReq = require('./../../config.js').getReq;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    userInfo:{
      nickName:'',
      avatarUrl:''
    },
    bonus_rate:[],
    bonus_list_show:false
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
  
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    const userInfo = app.globalData.userInfo;
    const nickName = userInfo.nickName;
    const avatarUrl = userInfo.avatarUrl;
    let self = this
    getReq({
      act: 'cart',
      op: 'rate_money'
    }, function (res) {
      if (res.code == 200) {
        self.setData({
          userInfo: { nickName, avatarUrl },
          bonus_rate: res.datas.bonus_rate
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
  
  },

  bonus_list(){
    this.setData({
      bonus_list_show: !this.data.bonus_list_show
    })
  },
  skip_help(){
    wx.navigateTo({
      url: '/pages/webView/webView?url=https://passport.lrlz.com/hfive/feed_back/question_answer.html'
    })
  },
  skip_all_order(){
    wx.navigateTo({
      url: '/pages/order_tabs/orderTabs'
    })
  }
})